Changeset 9263 for trunk/base


Ignore:
Timestamp:
Nov 12, 2004, 8:47:15 AM (19 years ago)
Author:
landonf (Landon Fuller)
Message:

Remove duplicate checks

Location:
trunk/base
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/base/configure

    r9150 r9263  
    52785278fi
    52795279
    5280 
    5281 
    5282         if test "$no_x" = yes; then
    5283   # Not all programs may use this symbol, but it does not hurt to define it.
    5284 
    5285 cat >>confdefs.h <<\_ACEOF
    5286 #define X_DISPLAY_MISSING 1
    5287 _ACEOF
    5288 
    5289   X_CFLAGS= X_PRE_LIBS= X_LIBS= X_EXTRA_LIBS=
    5290 else
    5291   if test -n "$x_includes"; then
    5292     X_CFLAGS="$X_CFLAGS -I$x_includes"
    5293   fi
    5294 
    5295   # It would also be nice to do this for all -L options, not just this one.
    5296   if test -n "$x_libraries"; then
    5297     X_LIBS="$X_LIBS -L$x_libraries"
    5298     # For Solaris; some versions of Sun CC require a space after -R and
    5299     # others require no space.  Words are not sufficient . . . .
    5300     case `(uname -sr) 2>/dev/null` in
    5301     "SunOS 5"*)
    5302       echo "$as_me:$LINENO: checking whether -R must be followed by a space" >&5
    5303 echo $ECHO_N "checking whether -R must be followed by a space... $ECHO_C" >&6
    5304       ac_xsave_LIBS=$LIBS; LIBS="$LIBS -R$x_libraries"
    5305       cat >conftest.$ac_ext <<_ACEOF
    5306 #line $LINENO "configure"
    5307 /* confdefs.h.  */
    5308 _ACEOF
    5309 cat confdefs.h >>conftest.$ac_ext
    5310 cat >>conftest.$ac_ext <<_ACEOF
    5311 /* end confdefs.h.  */
    5312 
    5313 int
    5314 main ()
    5315 {
    5316 
    5317   ;
    5318   return 0;
    5319 }
    5320 _ACEOF
    5321 rm -f conftest.$ac_objext conftest$ac_exeext
    5322 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5323   (eval $ac_link) 2>&5
    5324   ac_status=$?
    5325   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5326   (exit $ac_status); } &&
    5327          { ac_try='test -s conftest$ac_exeext'
    5328   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5329   (eval $ac_try) 2>&5
    5330   ac_status=$?
    5331   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5332   (exit $ac_status); }; }; then
    5333   ac_R_nospace=yes
    5334 else
    5335   echo "$as_me: failed program was:" >&5
    5336 sed 's/^/| /' conftest.$ac_ext >&5
    5337 
    5338 ac_R_nospace=no
    5339 fi
    5340 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5341       if test $ac_R_nospace = yes; then
    5342         echo "$as_me:$LINENO: result: no" >&5
    5343 echo "${ECHO_T}no" >&6
    5344         X_LIBS="$X_LIBS -R$x_libraries"
    5345       else
    5346         LIBS="$ac_xsave_LIBS -R $x_libraries"
    5347         cat >conftest.$ac_ext <<_ACEOF
    5348 #line $LINENO "configure"
    5349 /* confdefs.h.  */
    5350 _ACEOF
    5351 cat confdefs.h >>conftest.$ac_ext
    5352 cat >>conftest.$ac_ext <<_ACEOF
    5353 /* end confdefs.h.  */
    5354 
    5355 int
    5356 main ()
    5357 {
    5358 
    5359   ;
    5360   return 0;
    5361 }
    5362 _ACEOF
    5363 rm -f conftest.$ac_objext conftest$ac_exeext
    5364 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5365   (eval $ac_link) 2>&5
    5366   ac_status=$?
    5367   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5368   (exit $ac_status); } &&
    5369          { ac_try='test -s conftest$ac_exeext'
    5370   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5371   (eval $ac_try) 2>&5
    5372   ac_status=$?
    5373   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5374   (exit $ac_status); }; }; then
    5375   ac_R_space=yes
    5376 else
    5377   echo "$as_me: failed program was:" >&5
    5378 sed 's/^/| /' conftest.$ac_ext >&5
    5379 
    5380 ac_R_space=no
    5381 fi
    5382 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5383         if test $ac_R_space = yes; then
    5384           echo "$as_me:$LINENO: result: yes" >&5
    5385 echo "${ECHO_T}yes" >&6
    5386           X_LIBS="$X_LIBS -R $x_libraries"
    5387         else
    5388           echo "$as_me:$LINENO: result: neither works" >&5
    5389 echo "${ECHO_T}neither works" >&6
    5390         fi
    5391       fi
    5392       LIBS=$ac_xsave_LIBS
    5393     esac
    5394   fi
    5395 
    5396   # Check for system-dependent libraries X programs must link with.
    5397   # Do this before checking for the system-independent R6 libraries
    5398   # (-lICE), since we may need -lsocket or whatever for X linking.
    5399 
    5400   if test "$ISC" = yes; then
    5401     X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl_s -linet"
    5402   else
    5403     # Martyn Johnson says this is needed for Ultrix, if the X
    5404     # libraries were built with DECnet support.  And Karl Berry says
    5405     # the Alpha needs dnet_stub (dnet does not exist).
    5406     ac_xsave_LIBS="$LIBS"; LIBS="$LIBS $X_LIBS -lX11"
    5407     cat >conftest.$ac_ext <<_ACEOF
    5408 #line $LINENO "configure"
    5409 /* confdefs.h.  */
    5410 _ACEOF
    5411 cat confdefs.h >>conftest.$ac_ext
    5412 cat >>conftest.$ac_ext <<_ACEOF
    5413 /* end confdefs.h.  */
    5414 
    5415 /* Override any gcc2 internal prototype to avoid an error.  */
    5416 #ifdef __cplusplus
    5417 extern "C"
    5418 #endif
    5419 /* We use char because int might match the return type of a gcc2
    5420    builtin and then its argument prototype would still apply.  */
    5421 char XOpenDisplay ();
    5422 int
    5423 main ()
    5424 {
    5425 XOpenDisplay ();
    5426   ;
    5427   return 0;
    5428 }
    5429 _ACEOF
    5430 rm -f conftest.$ac_objext conftest$ac_exeext
    5431 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5432   (eval $ac_link) 2>&5
    5433   ac_status=$?
    5434   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5435   (exit $ac_status); } &&
    5436          { ac_try='test -s conftest$ac_exeext'
    5437   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5438   (eval $ac_try) 2>&5
    5439   ac_status=$?
    5440   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5441   (exit $ac_status); }; }; then
    5442   :
    5443 else
    5444   echo "$as_me: failed program was:" >&5
    5445 sed 's/^/| /' conftest.$ac_ext >&5
    5446 
    5447 echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet" >&5
    5448 echo $ECHO_N "checking for dnet_ntoa in -ldnet... $ECHO_C" >&6
    5449 if test "${ac_cv_lib_dnet_dnet_ntoa+set}" = set; then
    5450   echo $ECHO_N "(cached) $ECHO_C" >&6
    5451 else
    5452   ac_check_lib_save_LIBS=$LIBS
    5453 LIBS="-ldnet  $LIBS"
    5454 cat >conftest.$ac_ext <<_ACEOF
    5455 #line $LINENO "configure"
    5456 /* confdefs.h.  */
    5457 _ACEOF
    5458 cat confdefs.h >>conftest.$ac_ext
    5459 cat >>conftest.$ac_ext <<_ACEOF
    5460 /* end confdefs.h.  */
    5461 
    5462 /* Override any gcc2 internal prototype to avoid an error.  */
    5463 #ifdef __cplusplus
    5464 extern "C"
    5465 #endif
    5466 /* We use char because int might match the return type of a gcc2
    5467    builtin and then its argument prototype would still apply.  */
    5468 char dnet_ntoa ();
    5469 int
    5470 main ()
    5471 {
    5472 dnet_ntoa ();
    5473   ;
    5474   return 0;
    5475 }
    5476 _ACEOF
    5477 rm -f conftest.$ac_objext conftest$ac_exeext
    5478 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5479   (eval $ac_link) 2>&5
    5480   ac_status=$?
    5481   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5482   (exit $ac_status); } &&
    5483          { ac_try='test -s conftest$ac_exeext'
    5484   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5485   (eval $ac_try) 2>&5
    5486   ac_status=$?
    5487   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5488   (exit $ac_status); }; }; then
    5489   ac_cv_lib_dnet_dnet_ntoa=yes
    5490 else
    5491   echo "$as_me: failed program was:" >&5
    5492 sed 's/^/| /' conftest.$ac_ext >&5
    5493 
    5494 ac_cv_lib_dnet_dnet_ntoa=no
    5495 fi
    5496 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5497 LIBS=$ac_check_lib_save_LIBS
    5498 fi
    5499 echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_dnet_ntoa" >&5
    5500 echo "${ECHO_T}$ac_cv_lib_dnet_dnet_ntoa" >&6
    5501 if test $ac_cv_lib_dnet_dnet_ntoa = yes; then
    5502   X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet"
    5503 fi
    5504 
    5505     if test $ac_cv_lib_dnet_dnet_ntoa = no; then
    5506       echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet_stub" >&5
    5507 echo $ECHO_N "checking for dnet_ntoa in -ldnet_stub... $ECHO_C" >&6
    5508 if test "${ac_cv_lib_dnet_stub_dnet_ntoa+set}" = set; then
    5509   echo $ECHO_N "(cached) $ECHO_C" >&6
    5510 else
    5511   ac_check_lib_save_LIBS=$LIBS
    5512 LIBS="-ldnet_stub  $LIBS"
    5513 cat >conftest.$ac_ext <<_ACEOF
    5514 #line $LINENO "configure"
    5515 /* confdefs.h.  */
    5516 _ACEOF
    5517 cat confdefs.h >>conftest.$ac_ext
    5518 cat >>conftest.$ac_ext <<_ACEOF
    5519 /* end confdefs.h.  */
    5520 
    5521 /* Override any gcc2 internal prototype to avoid an error.  */
    5522 #ifdef __cplusplus
    5523 extern "C"
    5524 #endif
    5525 /* We use char because int might match the return type of a gcc2
    5526    builtin and then its argument prototype would still apply.  */
    5527 char dnet_ntoa ();
    5528 int
    5529 main ()
    5530 {
    5531 dnet_ntoa ();
    5532   ;
    5533   return 0;
    5534 }
    5535 _ACEOF
    5536 rm -f conftest.$ac_objext conftest$ac_exeext
    5537 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5538   (eval $ac_link) 2>&5
    5539   ac_status=$?
    5540   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5541   (exit $ac_status); } &&
    5542          { ac_try='test -s conftest$ac_exeext'
    5543   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5544   (eval $ac_try) 2>&5
    5545   ac_status=$?
    5546   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5547   (exit $ac_status); }; }; then
    5548   ac_cv_lib_dnet_stub_dnet_ntoa=yes
    5549 else
    5550   echo "$as_me: failed program was:" >&5
    5551 sed 's/^/| /' conftest.$ac_ext >&5
    5552 
    5553 ac_cv_lib_dnet_stub_dnet_ntoa=no
    5554 fi
    5555 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5556 LIBS=$ac_check_lib_save_LIBS
    5557 fi
    5558 echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_stub_dnet_ntoa" >&5
    5559 echo "${ECHO_T}$ac_cv_lib_dnet_stub_dnet_ntoa" >&6
    5560 if test $ac_cv_lib_dnet_stub_dnet_ntoa = yes; then
    5561   X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet_stub"
    5562 fi
    5563 
    5564     fi
    5565 fi
    5566 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5567     LIBS="$ac_xsave_LIBS"
    5568 
    5569     # msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for his 386/AT,
    5570     # to get the SysV transport functions.
    5571     # Chad R. Larson says the Pyramis MIS-ES running DC/OSx (SVR4)
    5572     # needs -lnsl.
    5573     # The nsl library prevents programs from opening the X display
    5574     # on Irix 5.2, according to T.E. Dickey.
    5575     # The functions gethostbyname, getservbyname, and inet_addr are
    5576     # in -lbsd on LynxOS 3.0.1/i386, according to Lars Hecking.
    5577     echo "$as_me:$LINENO: checking for gethostbyname" >&5
    5578 echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
    5579 if test "${ac_cv_func_gethostbyname+set}" = set; then
    5580   echo $ECHO_N "(cached) $ECHO_C" >&6
    5581 else
    5582   cat >conftest.$ac_ext <<_ACEOF
    5583 #line $LINENO "configure"
    5584 /* confdefs.h.  */
    5585 _ACEOF
    5586 cat confdefs.h >>conftest.$ac_ext
    5587 cat >>conftest.$ac_ext <<_ACEOF
    5588 /* end confdefs.h.  */
    5589 /* System header to define __stub macros and hopefully few prototypes,
    5590     which can conflict with char gethostbyname (); below.
    5591     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    5592     <limits.h> exists even on freestanding compilers.  */
    5593 #ifdef __STDC__
    5594 # include <limits.h>
    5595 #else
    5596 # include <assert.h>
    5597 #endif
    5598 /* Override any gcc2 internal prototype to avoid an error.  */
    5599 #ifdef __cplusplus
    5600 extern "C"
    5601 {
    5602 #endif
    5603 /* We use char because int might match the return type of a gcc2
    5604    builtin and then its argument prototype would still apply.  */
    5605 char gethostbyname ();
    5606 /* The GNU C library defines this for functions which it implements
    5607     to always fail with ENOSYS.  Some functions are actually named
    5608     something starting with __ and the normal name is an alias.  */
    5609 #if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
    5610 choke me
    5611 #else
    5612 char (*f) () = gethostbyname;
    5613 #endif
    5614 #ifdef __cplusplus
    5615 }
    5616 #endif
    5617 
    5618 int
    5619 main ()
    5620 {
    5621 return f != gethostbyname;
    5622   ;
    5623   return 0;
    5624 }
    5625 _ACEOF
    5626 rm -f conftest.$ac_objext conftest$ac_exeext
    5627 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5628   (eval $ac_link) 2>&5
    5629   ac_status=$?
    5630   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5631   (exit $ac_status); } &&
    5632          { ac_try='test -s conftest$ac_exeext'
    5633   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5634   (eval $ac_try) 2>&5
    5635   ac_status=$?
    5636   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5637   (exit $ac_status); }; }; then
    5638   ac_cv_func_gethostbyname=yes
    5639 else
    5640   echo "$as_me: failed program was:" >&5
    5641 sed 's/^/| /' conftest.$ac_ext >&5
    5642 
    5643 ac_cv_func_gethostbyname=no
    5644 fi
    5645 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5646 fi
    5647 echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
    5648 echo "${ECHO_T}$ac_cv_func_gethostbyname" >&6
    5649 
    5650     if test $ac_cv_func_gethostbyname = no; then
    5651       echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
    5652 echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
    5653 if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
    5654   echo $ECHO_N "(cached) $ECHO_C" >&6
    5655 else
    5656   ac_check_lib_save_LIBS=$LIBS
    5657 LIBS="-lnsl  $LIBS"
    5658 cat >conftest.$ac_ext <<_ACEOF
    5659 #line $LINENO "configure"
    5660 /* confdefs.h.  */
    5661 _ACEOF
    5662 cat confdefs.h >>conftest.$ac_ext
    5663 cat >>conftest.$ac_ext <<_ACEOF
    5664 /* end confdefs.h.  */
    5665 
    5666 /* Override any gcc2 internal prototype to avoid an error.  */
    5667 #ifdef __cplusplus
    5668 extern "C"
    5669 #endif
    5670 /* We use char because int might match the return type of a gcc2
    5671    builtin and then its argument prototype would still apply.  */
    5672 char gethostbyname ();
    5673 int
    5674 main ()
    5675 {
    5676 gethostbyname ();
    5677   ;
    5678   return 0;
    5679 }
    5680 _ACEOF
    5681 rm -f conftest.$ac_objext conftest$ac_exeext
    5682 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5683   (eval $ac_link) 2>&5
    5684   ac_status=$?
    5685   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5686   (exit $ac_status); } &&
    5687          { ac_try='test -s conftest$ac_exeext'
    5688   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5689   (eval $ac_try) 2>&5
    5690   ac_status=$?
    5691   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5692   (exit $ac_status); }; }; then
    5693   ac_cv_lib_nsl_gethostbyname=yes
    5694 else
    5695   echo "$as_me: failed program was:" >&5
    5696 sed 's/^/| /' conftest.$ac_ext >&5
    5697 
    5698 ac_cv_lib_nsl_gethostbyname=no
    5699 fi
    5700 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5701 LIBS=$ac_check_lib_save_LIBS
    5702 fi
    5703 echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_gethostbyname" >&5
    5704 echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
    5705 if test $ac_cv_lib_nsl_gethostbyname = yes; then
    5706   X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl"
    5707 fi
    5708 
    5709       if test $ac_cv_lib_nsl_gethostbyname = no; then
    5710         echo "$as_me:$LINENO: checking for gethostbyname in -lbsd" >&5
    5711 echo $ECHO_N "checking for gethostbyname in -lbsd... $ECHO_C" >&6
    5712 if test "${ac_cv_lib_bsd_gethostbyname+set}" = set; then
    5713   echo $ECHO_N "(cached) $ECHO_C" >&6
    5714 else
    5715   ac_check_lib_save_LIBS=$LIBS
    5716 LIBS="-lbsd  $LIBS"
    5717 cat >conftest.$ac_ext <<_ACEOF
    5718 #line $LINENO "configure"
    5719 /* confdefs.h.  */
    5720 _ACEOF
    5721 cat confdefs.h >>conftest.$ac_ext
    5722 cat >>conftest.$ac_ext <<_ACEOF
    5723 /* end confdefs.h.  */
    5724 
    5725 /* Override any gcc2 internal prototype to avoid an error.  */
    5726 #ifdef __cplusplus
    5727 extern "C"
    5728 #endif
    5729 /* We use char because int might match the return type of a gcc2
    5730    builtin and then its argument prototype would still apply.  */
    5731 char gethostbyname ();
    5732 int
    5733 main ()
    5734 {
    5735 gethostbyname ();
    5736   ;
    5737   return 0;
    5738 }
    5739 _ACEOF
    5740 rm -f conftest.$ac_objext conftest$ac_exeext
    5741 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5742   (eval $ac_link) 2>&5
    5743   ac_status=$?
    5744   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5745   (exit $ac_status); } &&
    5746          { ac_try='test -s conftest$ac_exeext'
    5747   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5748   (eval $ac_try) 2>&5
    5749   ac_status=$?
    5750   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5751   (exit $ac_status); }; }; then
    5752   ac_cv_lib_bsd_gethostbyname=yes
    5753 else
    5754   echo "$as_me: failed program was:" >&5
    5755 sed 's/^/| /' conftest.$ac_ext >&5
    5756 
    5757 ac_cv_lib_bsd_gethostbyname=no
    5758 fi
    5759 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5760 LIBS=$ac_check_lib_save_LIBS
    5761 fi
    5762 echo "$as_me:$LINENO: result: $ac_cv_lib_bsd_gethostbyname" >&5
    5763 echo "${ECHO_T}$ac_cv_lib_bsd_gethostbyname" >&6
    5764 if test $ac_cv_lib_bsd_gethostbyname = yes; then
    5765   X_EXTRA_LIBS="$X_EXTRA_LIBS -lbsd"
    5766 fi
    5767 
    5768       fi
    5769     fi
    5770 
    5771     # lieder@skyler.mavd.honeywell.com says without -lsocket,
    5772     # socket/setsockopt and other routines are undefined under SCO ODT
    5773     # 2.0.  But -lsocket is broken on IRIX 5.2 (and is not necessary
    5774     # on later versions), says Simon Leinen: it contains gethostby*
    5775     # variants that don't use the name server (or something).  -lsocket
    5776     # must be given before -lnsl if both are needed.  We assume that
    5777     # if connect needs -lnsl, so does gethostbyname.
    5778     echo "$as_me:$LINENO: checking for connect" >&5
    5779 echo $ECHO_N "checking for connect... $ECHO_C" >&6
    5780 if test "${ac_cv_func_connect+set}" = set; then
    5781   echo $ECHO_N "(cached) $ECHO_C" >&6
    5782 else
    5783   cat >conftest.$ac_ext <<_ACEOF
    5784 #line $LINENO "configure"
    5785 /* confdefs.h.  */
    5786 _ACEOF
    5787 cat confdefs.h >>conftest.$ac_ext
    5788 cat >>conftest.$ac_ext <<_ACEOF
    5789 /* end confdefs.h.  */
    5790 /* System header to define __stub macros and hopefully few prototypes,
    5791     which can conflict with char connect (); below.
    5792     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    5793     <limits.h> exists even on freestanding compilers.  */
    5794 #ifdef __STDC__
    5795 # include <limits.h>
    5796 #else
    5797 # include <assert.h>
    5798 #endif
    5799 /* Override any gcc2 internal prototype to avoid an error.  */
    5800 #ifdef __cplusplus
    5801 extern "C"
    5802 {
    5803 #endif
    5804 /* We use char because int might match the return type of a gcc2
    5805    builtin and then its argument prototype would still apply.  */
    5806 char connect ();
    5807 /* The GNU C library defines this for functions which it implements
    5808     to always fail with ENOSYS.  Some functions are actually named
    5809     something starting with __ and the normal name is an alias.  */
    5810 #if defined (__stub_connect) || defined (__stub___connect)
    5811 choke me
    5812 #else
    5813 char (*f) () = connect;
    5814 #endif
    5815 #ifdef __cplusplus
    5816 }
    5817 #endif
    5818 
    5819 int
    5820 main ()
    5821 {
    5822 return f != connect;
    5823   ;
    5824   return 0;
    5825 }
    5826 _ACEOF
    5827 rm -f conftest.$ac_objext conftest$ac_exeext
    5828 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5829   (eval $ac_link) 2>&5
    5830   ac_status=$?
    5831   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5832   (exit $ac_status); } &&
    5833          { ac_try='test -s conftest$ac_exeext'
    5834   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5835   (eval $ac_try) 2>&5
    5836   ac_status=$?
    5837   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5838   (exit $ac_status); }; }; then
    5839   ac_cv_func_connect=yes
    5840 else
    5841   echo "$as_me: failed program was:" >&5
    5842 sed 's/^/| /' conftest.$ac_ext >&5
    5843 
    5844 ac_cv_func_connect=no
    5845 fi
    5846 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5847 fi
    5848 echo "$as_me:$LINENO: result: $ac_cv_func_connect" >&5
    5849 echo "${ECHO_T}$ac_cv_func_connect" >&6
    5850 
    5851     if test $ac_cv_func_connect = no; then
    5852       echo "$as_me:$LINENO: checking for connect in -lsocket" >&5
    5853 echo $ECHO_N "checking for connect in -lsocket... $ECHO_C" >&6
    5854 if test "${ac_cv_lib_socket_connect+set}" = set; then
    5855   echo $ECHO_N "(cached) $ECHO_C" >&6
    5856 else
    5857   ac_check_lib_save_LIBS=$LIBS
    5858 LIBS="-lsocket $X_EXTRA_LIBS $LIBS"
    5859 cat >conftest.$ac_ext <<_ACEOF
    5860 #line $LINENO "configure"
    5861 /* confdefs.h.  */
    5862 _ACEOF
    5863 cat confdefs.h >>conftest.$ac_ext
    5864 cat >>conftest.$ac_ext <<_ACEOF
    5865 /* end confdefs.h.  */
    5866 
    5867 /* Override any gcc2 internal prototype to avoid an error.  */
    5868 #ifdef __cplusplus
    5869 extern "C"
    5870 #endif
    5871 /* We use char because int might match the return type of a gcc2
    5872    builtin and then its argument prototype would still apply.  */
    5873 char connect ();
    5874 int
    5875 main ()
    5876 {
    5877 connect ();
    5878   ;
    5879   return 0;
    5880 }
    5881 _ACEOF
    5882 rm -f conftest.$ac_objext conftest$ac_exeext
    5883 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5884   (eval $ac_link) 2>&5
    5885   ac_status=$?
    5886   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5887   (exit $ac_status); } &&
    5888          { ac_try='test -s conftest$ac_exeext'
    5889   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5890   (eval $ac_try) 2>&5
    5891   ac_status=$?
    5892   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5893   (exit $ac_status); }; }; then
    5894   ac_cv_lib_socket_connect=yes
    5895 else
    5896   echo "$as_me: failed program was:" >&5
    5897 sed 's/^/| /' conftest.$ac_ext >&5
    5898 
    5899 ac_cv_lib_socket_connect=no
    5900 fi
    5901 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5902 LIBS=$ac_check_lib_save_LIBS
    5903 fi
    5904 echo "$as_me:$LINENO: result: $ac_cv_lib_socket_connect" >&5
    5905 echo "${ECHO_T}$ac_cv_lib_socket_connect" >&6
    5906 if test $ac_cv_lib_socket_connect = yes; then
    5907   X_EXTRA_LIBS="-lsocket $X_EXTRA_LIBS"
    5908 fi
    5909 
    5910     fi
    5911 
    5912     # Guillermo Gomez says -lposix is necessary on A/UX.
    5913     echo "$as_me:$LINENO: checking for remove" >&5
    5914 echo $ECHO_N "checking for remove... $ECHO_C" >&6
    5915 if test "${ac_cv_func_remove+set}" = set; then
    5916   echo $ECHO_N "(cached) $ECHO_C" >&6
    5917 else
    5918   cat >conftest.$ac_ext <<_ACEOF
    5919 #line $LINENO "configure"
    5920 /* confdefs.h.  */
    5921 _ACEOF
    5922 cat confdefs.h >>conftest.$ac_ext
    5923 cat >>conftest.$ac_ext <<_ACEOF
    5924 /* end confdefs.h.  */
    5925 /* System header to define __stub macros and hopefully few prototypes,
    5926     which can conflict with char remove (); below.
    5927     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    5928     <limits.h> exists even on freestanding compilers.  */
    5929 #ifdef __STDC__
    5930 # include <limits.h>
    5931 #else
    5932 # include <assert.h>
    5933 #endif
    5934 /* Override any gcc2 internal prototype to avoid an error.  */
    5935 #ifdef __cplusplus
    5936 extern "C"
    5937 {
    5938 #endif
    5939 /* We use char because int might match the return type of a gcc2
    5940    builtin and then its argument prototype would still apply.  */
    5941 char remove ();
    5942 /* The GNU C library defines this for functions which it implements
    5943     to always fail with ENOSYS.  Some functions are actually named
    5944     something starting with __ and the normal name is an alias.  */
    5945 #if defined (__stub_remove) || defined (__stub___remove)
    5946 choke me
    5947 #else
    5948 char (*f) () = remove;
    5949 #endif
    5950 #ifdef __cplusplus
    5951 }
    5952 #endif
    5953 
    5954 int
    5955 main ()
    5956 {
    5957 return f != remove;
    5958   ;
    5959   return 0;
    5960 }
    5961 _ACEOF
    5962 rm -f conftest.$ac_objext conftest$ac_exeext
    5963 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5964   (eval $ac_link) 2>&5
    5965   ac_status=$?
    5966   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5967   (exit $ac_status); } &&
    5968          { ac_try='test -s conftest$ac_exeext'
    5969   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5970   (eval $ac_try) 2>&5
    5971   ac_status=$?
    5972   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5973   (exit $ac_status); }; }; then
    5974   ac_cv_func_remove=yes
    5975 else
    5976   echo "$as_me: failed program was:" >&5
    5977 sed 's/^/| /' conftest.$ac_ext >&5
    5978 
    5979 ac_cv_func_remove=no
    5980 fi
    5981 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    5982 fi
    5983 echo "$as_me:$LINENO: result: $ac_cv_func_remove" >&5
    5984 echo "${ECHO_T}$ac_cv_func_remove" >&6
    5985 
    5986     if test $ac_cv_func_remove = no; then
    5987       echo "$as_me:$LINENO: checking for remove in -lposix" >&5
    5988 echo $ECHO_N "checking for remove in -lposix... $ECHO_C" >&6
    5989 if test "${ac_cv_lib_posix_remove+set}" = set; then
    5990   echo $ECHO_N "(cached) $ECHO_C" >&6
    5991 else
    5992   ac_check_lib_save_LIBS=$LIBS
    5993 LIBS="-lposix  $LIBS"
    5994 cat >conftest.$ac_ext <<_ACEOF
    5995 #line $LINENO "configure"
    5996 /* confdefs.h.  */
    5997 _ACEOF
    5998 cat confdefs.h >>conftest.$ac_ext
    5999 cat >>conftest.$ac_ext <<_ACEOF
    6000 /* end confdefs.h.  */
    6001 
    6002 /* Override any gcc2 internal prototype to avoid an error.  */
    6003 #ifdef __cplusplus
    6004 extern "C"
    6005 #endif
    6006 /* We use char because int might match the return type of a gcc2
    6007    builtin and then its argument prototype would still apply.  */
    6008 char remove ();
    6009 int
    6010 main ()
    6011 {
    6012 remove ();
    6013   ;
    6014   return 0;
    6015 }
    6016 _ACEOF
    6017 rm -f conftest.$ac_objext conftest$ac_exeext
    6018 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6019   (eval $ac_link) 2>&5
    6020   ac_status=$?
    6021   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6022   (exit $ac_status); } &&
    6023          { ac_try='test -s conftest$ac_exeext'
    6024   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6025   (eval $ac_try) 2>&5
    6026   ac_status=$?
    6027   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6028   (exit $ac_status); }; }; then
    6029   ac_cv_lib_posix_remove=yes
    6030 else
    6031   echo "$as_me: failed program was:" >&5
    6032 sed 's/^/| /' conftest.$ac_ext >&5
    6033 
    6034 ac_cv_lib_posix_remove=no
    6035 fi
    6036 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    6037 LIBS=$ac_check_lib_save_LIBS
    6038 fi
    6039 echo "$as_me:$LINENO: result: $ac_cv_lib_posix_remove" >&5
    6040 echo "${ECHO_T}$ac_cv_lib_posix_remove" >&6
    6041 if test $ac_cv_lib_posix_remove = yes; then
    6042   X_EXTRA_LIBS="$X_EXTRA_LIBS -lposix"
    6043 fi
    6044 
    6045     fi
    6046 
    6047     # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
    6048     echo "$as_me:$LINENO: checking for shmat" >&5
    6049 echo $ECHO_N "checking for shmat... $ECHO_C" >&6
    6050 if test "${ac_cv_func_shmat+set}" = set; then
    6051   echo $ECHO_N "(cached) $ECHO_C" >&6
    6052 else
    6053   cat >conftest.$ac_ext <<_ACEOF
    6054 #line $LINENO "configure"
    6055 /* confdefs.h.  */
    6056 _ACEOF
    6057 cat confdefs.h >>conftest.$ac_ext
    6058 cat >>conftest.$ac_ext <<_ACEOF
    6059 /* end confdefs.h.  */
    6060 /* System header to define __stub macros and hopefully few prototypes,
    6061     which can conflict with char shmat (); below.
    6062     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    6063     <limits.h> exists even on freestanding compilers.  */
    6064 #ifdef __STDC__
    6065 # include <limits.h>
    6066 #else
    6067 # include <assert.h>
    6068 #endif
    6069 /* Override any gcc2 internal prototype to avoid an error.  */
    6070 #ifdef __cplusplus
    6071 extern "C"
    6072 {
    6073 #endif
    6074 /* We use char because int might match the return type of a gcc2
    6075    builtin and then its argument prototype would still apply.  */
    6076 char shmat ();
    6077 /* The GNU C library defines this for functions which it implements
    6078     to always fail with ENOSYS.  Some functions are actually named
    6079     something starting with __ and the normal name is an alias.  */
    6080 #if defined (__stub_shmat) || defined (__stub___shmat)
    6081 choke me
    6082 #else
    6083 char (*f) () = shmat;
    6084 #endif
    6085 #ifdef __cplusplus
    6086 }
    6087 #endif
    6088 
    6089 int
    6090 main ()
    6091 {
    6092 return f != shmat;
    6093   ;
    6094   return 0;
    6095 }
    6096 _ACEOF
    6097 rm -f conftest.$ac_objext conftest$ac_exeext
    6098 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6099   (eval $ac_link) 2>&5
    6100   ac_status=$?
    6101   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6102   (exit $ac_status); } &&
    6103          { ac_try='test -s conftest$ac_exeext'
    6104   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6105   (eval $ac_try) 2>&5
    6106   ac_status=$?
    6107   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6108   (exit $ac_status); }; }; then
    6109   ac_cv_func_shmat=yes
    6110 else
    6111   echo "$as_me: failed program was:" >&5
    6112 sed 's/^/| /' conftest.$ac_ext >&5
    6113 
    6114 ac_cv_func_shmat=no
    6115 fi
    6116 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    6117 fi
    6118 echo "$as_me:$LINENO: result: $ac_cv_func_shmat" >&5
    6119 echo "${ECHO_T}$ac_cv_func_shmat" >&6
    6120 
    6121     if test $ac_cv_func_shmat = no; then
    6122       echo "$as_me:$LINENO: checking for shmat in -lipc" >&5
    6123 echo $ECHO_N "checking for shmat in -lipc... $ECHO_C" >&6
    6124 if test "${ac_cv_lib_ipc_shmat+set}" = set; then
    6125   echo $ECHO_N "(cached) $ECHO_C" >&6
    6126 else
    6127   ac_check_lib_save_LIBS=$LIBS
    6128 LIBS="-lipc  $LIBS"
    6129 cat >conftest.$ac_ext <<_ACEOF
    6130 #line $LINENO "configure"
    6131 /* confdefs.h.  */
    6132 _ACEOF
    6133 cat confdefs.h >>conftest.$ac_ext
    6134 cat >>conftest.$ac_ext <<_ACEOF
    6135 /* end confdefs.h.  */
    6136 
    6137 /* Override any gcc2 internal prototype to avoid an error.  */
    6138 #ifdef __cplusplus
    6139 extern "C"
    6140 #endif
    6141 /* We use char because int might match the return type of a gcc2
    6142    builtin and then its argument prototype would still apply.  */
    6143 char shmat ();
    6144 int
    6145 main ()
    6146 {
    6147 shmat ();
    6148   ;
    6149   return 0;
    6150 }
    6151 _ACEOF
    6152 rm -f conftest.$ac_objext conftest$ac_exeext
    6153 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6154   (eval $ac_link) 2>&5
    6155   ac_status=$?
    6156   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6157   (exit $ac_status); } &&
    6158          { ac_try='test -s conftest$ac_exeext'
    6159   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6160   (eval $ac_try) 2>&5
    6161   ac_status=$?
    6162   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6163   (exit $ac_status); }; }; then
    6164   ac_cv_lib_ipc_shmat=yes
    6165 else
    6166   echo "$as_me: failed program was:" >&5
    6167 sed 's/^/| /' conftest.$ac_ext >&5
    6168 
    6169 ac_cv_lib_ipc_shmat=no
    6170 fi
    6171 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    6172 LIBS=$ac_check_lib_save_LIBS
    6173 fi
    6174 echo "$as_me:$LINENO: result: $ac_cv_lib_ipc_shmat" >&5
    6175 echo "${ECHO_T}$ac_cv_lib_ipc_shmat" >&6
    6176 if test $ac_cv_lib_ipc_shmat = yes; then
    6177   X_EXTRA_LIBS="$X_EXTRA_LIBS -lipc"
    6178 fi
    6179 
    6180     fi
    6181   fi
    6182 
    6183   # Check for libraries that X11R6 Xt/Xaw programs need.
    6184   ac_save_LDFLAGS=$LDFLAGS
    6185   test -n "$x_libraries" && LDFLAGS="$LDFLAGS -L$x_libraries"
    6186   # SM needs ICE to (dynamically) link under SunOS 4.x (so we have to
    6187   # check for ICE first), but we must link in the order -lSM -lICE or
    6188   # we get undefined symbols.  So assume we have SM if we have ICE.
    6189   # These have to be linked with before -lX11, unlike the other
    6190   # libraries we check for below, so use a different variable.
    6191   # John Interrante, Karl Berry
    6192   echo "$as_me:$LINENO: checking for IceConnectionNumber in -lICE" >&5
    6193 echo $ECHO_N "checking for IceConnectionNumber in -lICE... $ECHO_C" >&6
    6194 if test "${ac_cv_lib_ICE_IceConnectionNumber+set}" = set; then
    6195   echo $ECHO_N "(cached) $ECHO_C" >&6
    6196 else
    6197   ac_check_lib_save_LIBS=$LIBS
    6198 LIBS="-lICE $X_EXTRA_LIBS $LIBS"
    6199 cat >conftest.$ac_ext <<_ACEOF
    6200 #line $LINENO "configure"
    6201 /* confdefs.h.  */
    6202 _ACEOF
    6203 cat confdefs.h >>conftest.$ac_ext
    6204 cat >>conftest.$ac_ext <<_ACEOF
    6205 /* end confdefs.h.  */
    6206 
    6207 /* Override any gcc2 internal prototype to avoid an error.  */
    6208 #ifdef __cplusplus
    6209 extern "C"
    6210 #endif
    6211 /* We use char because int might match the return type of a gcc2
    6212    builtin and then its argument prototype would still apply.  */
    6213 char IceConnectionNumber ();
    6214 int
    6215 main ()
    6216 {
    6217 IceConnectionNumber ();
    6218   ;
    6219   return 0;
    6220 }
    6221 _ACEOF
    6222 rm -f conftest.$ac_objext conftest$ac_exeext
    6223 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6224   (eval $ac_link) 2>&5
    6225   ac_status=$?
    6226   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6227   (exit $ac_status); } &&
    6228          { ac_try='test -s conftest$ac_exeext'
    6229   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6230   (eval $ac_try) 2>&5
    6231   ac_status=$?
    6232   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6233   (exit $ac_status); }; }; then
    6234   ac_cv_lib_ICE_IceConnectionNumber=yes
    6235 else
    6236   echo "$as_me: failed program was:" >&5
    6237 sed 's/^/| /' conftest.$ac_ext >&5
    6238 
    6239 ac_cv_lib_ICE_IceConnectionNumber=no
    6240 fi
    6241 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    6242 LIBS=$ac_check_lib_save_LIBS
    6243 fi
    6244 echo "$as_me:$LINENO: result: $ac_cv_lib_ICE_IceConnectionNumber" >&5
    6245 echo "${ECHO_T}$ac_cv_lib_ICE_IceConnectionNumber" >&6
    6246 if test $ac_cv_lib_ICE_IceConnectionNumber = yes; then
    6247   X_PRE_LIBS="$X_PRE_LIBS -lSM -lICE"
    6248 fi
    6249 
    6250   LDFLAGS=$ac_save_LDFLAGS
    6251 
    6252 fi
    6253 
    6254 
    6255         # Check for libX11
    6256         echo "$as_me:$LINENO: checking for XOpenDisplay in -lX11" >&5
    6257 echo $ECHO_N "checking for XOpenDisplay in -lX11... $ECHO_C" >&6
    6258 if test "${ac_cv_lib_X11_XOpenDisplay+set}" = set; then
    6259   echo $ECHO_N "(cached) $ECHO_C" >&6
    6260 else
    6261   ac_check_lib_save_LIBS=$LIBS
    6262 LIBS="-lX11 -L/usr/X11R6/lib $X_LIBS $LIBS"
    6263 cat >conftest.$ac_ext <<_ACEOF
    6264 #line $LINENO "configure"
    6265 /* confdefs.h.  */
    6266 _ACEOF
    6267 cat confdefs.h >>conftest.$ac_ext
    6268 cat >>conftest.$ac_ext <<_ACEOF
    6269 /* end confdefs.h.  */
    6270 
    6271 /* Override any gcc2 internal prototype to avoid an error.  */
    6272 #ifdef __cplusplus
    6273 extern "C"
    6274 #endif
    6275 /* We use char because int might match the return type of a gcc2
    6276    builtin and then its argument prototype would still apply.  */
    6277 char XOpenDisplay ();
    6278 int
    6279 main ()
    6280 {
    6281 XOpenDisplay ();
    6282   ;
    6283   return 0;
    6284 }
    6285 _ACEOF
    6286 rm -f conftest.$ac_objext conftest$ac_exeext
    6287 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6288   (eval $ac_link) 2>&5
    6289   ac_status=$?
    6290   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6291   (exit $ac_status); } &&
    6292          { ac_try='test -s conftest$ac_exeext'
    6293   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6294   (eval $ac_try) 2>&5
    6295   ac_status=$?
    6296   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6297   (exit $ac_status); }; }; then
    6298   ac_cv_lib_X11_XOpenDisplay=yes
    6299 else
    6300   echo "$as_me: failed program was:" >&5
    6301 sed 's/^/| /' conftest.$ac_ext >&5
    6302 
    6303 ac_cv_lib_X11_XOpenDisplay=no
    6304 fi
    6305 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    6306 LIBS=$ac_check_lib_save_LIBS
    6307 fi
    6308 echo "$as_me:$LINENO: result: $ac_cv_lib_X11_XOpenDisplay" >&5
    6309 echo "${ECHO_T}$ac_cv_lib_X11_XOpenDisplay" >&6
    6310 if test $ac_cv_lib_X11_XOpenDisplay = yes; then
    6311 
    6312                 has_x_runtime=yes
    6313 
    6314 else
    6315    has_x_runtime=no
    6316 fi
    6317 
    6318 
    6319 #       echo "------done---------"
    6320 #       echo "x_includes=${x_includes}"
    6321 #       echo "x_libraries=${x_libraries}"
    6322 #       echo "no_x=${no_x}"
    6323 #       echo "X_CFLAGS=${X_CFLAGS}"
    6324 #       echo "X_LIBS=${X_LIBS}"
    6325 #       echo "X_DISPLAY_MISSING=${X_DISPLAY_MISSING}"
    6326 #       echo "has_x_runtime=${has_x_runtime}"
    6327 #       echo "host_os=${host_os}"
    6328 #       echo "------done---------"
    6329 
    6330         state=
    6331 
    6332         case "__${has_x_runtime}__${no_x}__" in
    6333                 "__no__yes__")
    6334                 # either the user said --without-x, or it was not found
    6335                 # at all (runtime or headers)
    6336                         { echo "$as_me:$LINENO: WARNING: X11 not available. You will not be able to use dports that use X11" >&5
    6337 echo "$as_me: WARNING: X11 not available. You will not be able to use dports that use X11" >&2;}
    6338                         state=0
    6339                         ;;
    6340                 "__yes__yes__")
    6341                         state=1
    6342                         ;;
    6343                 "__yes____")
    6344                         state=2
    6345                         ;;
    6346                 *)
    6347                         state=3
    6348                         ;;
    6349         esac
    6350 
    6351         case $host_os in
    6352                 darwin*)
    6353                         case $state in
    6354                                 1)
    6355                                         cat <<EOF;
    6356 Please install the X11 SDK packages from the
    6357 Xcode Developer Tools CD
    6358 EOF
    6359                                         { { echo "$as_me:$LINENO: error: Broken X11 install. No X11 headers" >&5
    6360 echo "$as_me: error: Broken X11 install. No X11 headers" >&2;}
    6361    { (exit 1); exit 1; }; }
    6362 
    6363                                         ;;
    6364                                 3)
    6365                                         cat <<EOF;
    6366 Unknown configuration problem. Please install the X11 runtime
    6367 and/or X11 SDK  packages from the Xcode Developer Tools CD
    6368 EOF
    6369                                         { { echo "$as_me:$LINENO: error: Broken X11 install" >&5
    6370 echo "$as_me: error: Broken X11 install" >&2;}
    6371    { (exit 1); exit 1; }; }
    6372                                         ;;
    6373                         esac
    6374                         ;;
    6375                 *)
    6376                         case $state in
    6377                                 1)
    6378                                         cat <<EOF;
    6379 Please install the X11 developer headers for your platform
    6380 EOF
    6381                                         { { echo "$as_me:$LINENO: error: Broken X11 install. No X11 headers" >&5
    6382 echo "$as_me: error: Broken X11 install. No X11 headers" >&2;}
    6383    { (exit 1); exit 1; }; }
    6384 
    6385                                         ;;
    6386                                 3)
    6387                                         cat <<EOF;
    6388 Unknown configuration problem. Please install the X11
    6389 implementation for your platform
    6390 EOF
    6391                                         { { echo "$as_me:$LINENO: error: Broken X11 install" >&5
    6392 echo "$as_me: error: Broken X11 install" >&2;}
    6393    { (exit 1); exit 1; }; }
    6394                                         ;;
    6395                         esac
    6396                         ;;
    6397         esac
    6398 
    6399 
    6400 
    6401 # Check for md5 implementation
    6402 
    6403 
    6404         # Check for libmd, which is prefered
    6405         echo "$as_me:$LINENO: checking for MD5Update in -lmd" >&5
    6406 echo $ECHO_N "checking for MD5Update in -lmd... $ECHO_C" >&6
    6407 if test "${ac_cv_lib_md_MD5Update+set}" = set; then
    6408   echo $ECHO_N "(cached) $ECHO_C" >&6
    6409 else
    6410   ac_check_lib_save_LIBS=$LIBS
    6411 LIBS="-lmd  $LIBS"
    6412 cat >conftest.$ac_ext <<_ACEOF
    6413 #line $LINENO "configure"
    6414 /* confdefs.h.  */
    6415 _ACEOF
    6416 cat confdefs.h >>conftest.$ac_ext
    6417 cat >>conftest.$ac_ext <<_ACEOF
    6418 /* end confdefs.h.  */
    6419 
    6420 /* Override any gcc2 internal prototype to avoid an error.  */
    6421 #ifdef __cplusplus
    6422 extern "C"
    6423 #endif
    6424 /* We use char because int might match the return type of a gcc2
    6425    builtin and then its argument prototype would still apply.  */
    6426 char MD5Update ();
    6427 int
    6428 main ()
    6429 {
    6430 MD5Update ();
    6431   ;
    6432   return 0;
    6433 }
    6434 _ACEOF
    6435 rm -f conftest.$ac_objext conftest$ac_exeext
    6436 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6437   (eval $ac_link) 2>&5
    6438   ac_status=$?
    6439   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6440   (exit $ac_status); } &&
    6441          { ac_try='test -s conftest$ac_exeext'
    6442   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6443   (eval $ac_try) 2>&5
    6444   ac_status=$?
    6445   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6446   (exit $ac_status); }; }; then
    6447   ac_cv_lib_md_MD5Update=yes
    6448 else
    6449   echo "$as_me: failed program was:" >&5
    6450 sed 's/^/| /' conftest.$ac_ext >&5
    6451 
    6452 ac_cv_lib_md_MD5Update=no
    6453 fi
    6454 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    6455 LIBS=$ac_check_lib_save_LIBS
    6456 fi
    6457 echo "$as_me:$LINENO: result: $ac_cv_lib_md_MD5Update" >&5
    6458 echo "${ECHO_T}$ac_cv_lib_md_MD5Update" >&6
    6459 if test $ac_cv_lib_md_MD5Update = yes; then
    6460 
    6461 
    6462 for ac_header in md5.h
    6463 do
    6464 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    6465 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6466   echo "$as_me:$LINENO: checking for $ac_header" >&5
    6467 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6468 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6469   echo $ECHO_N "(cached) $ECHO_C" >&6
    6470 fi
    6471 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6472 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6473 else
    6474   # Is the header compilable?
    6475 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    6476 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    6477 cat >conftest.$ac_ext <<_ACEOF
    6478 #line $LINENO "configure"
    6479 /* confdefs.h.  */
    6480 _ACEOF
    6481 cat confdefs.h >>conftest.$ac_ext
    6482 cat >>conftest.$ac_ext <<_ACEOF
    6483 /* end confdefs.h.  */
    6484 $ac_includes_default
    6485 #include <$ac_header>
    6486 _ACEOF
    6487 rm -f conftest.$ac_objext
    6488 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6489   (eval $ac_compile) 2>&5
    6490   ac_status=$?
    6491   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6492   (exit $ac_status); } &&
    6493          { ac_try='test -s conftest.$ac_objext'
    6494   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6495   (eval $ac_try) 2>&5
    6496   ac_status=$?
    6497   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6498   (exit $ac_status); }; }; then
    6499   ac_header_compiler=yes
    6500 else
    6501   echo "$as_me: failed program was:" >&5
    6502 sed 's/^/| /' conftest.$ac_ext >&5
    6503 
    6504 ac_header_compiler=no
    6505 fi
    6506 rm -f conftest.$ac_objext conftest.$ac_ext
    6507 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    6508 echo "${ECHO_T}$ac_header_compiler" >&6
    6509 
    6510 # Is the header present?
    6511 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    6512 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    6513 cat >conftest.$ac_ext <<_ACEOF
    6514 #line $LINENO "configure"
    6515 /* confdefs.h.  */
    6516 _ACEOF
    6517 cat confdefs.h >>conftest.$ac_ext
    6518 cat >>conftest.$ac_ext <<_ACEOF
    6519 /* end confdefs.h.  */
    6520 #include <$ac_header>
    6521 _ACEOF
    6522 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6523   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6524   ac_status=$?
    6525   grep -v '^ *+' conftest.er1 >conftest.err
    6526   rm -f conftest.er1
    6527   cat conftest.err >&5
    6528   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6529   (exit $ac_status); } >/dev/null; then
    6530   if test -s conftest.err; then
    6531     ac_cpp_err=$ac_c_preproc_warn_flag
    6532   else
    6533     ac_cpp_err=
    6534   fi
    6535 else
    6536   ac_cpp_err=yes
    6537 fi
    6538 if test -z "$ac_cpp_err"; then
    6539   ac_header_preproc=yes
    6540 else
    6541   echo "$as_me: failed program was:" >&5
    6542 sed 's/^/| /' conftest.$ac_ext >&5
    6543 
    6544   ac_header_preproc=no
    6545 fi
    6546 rm -f conftest.err conftest.$ac_ext
    6547 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    6548 echo "${ECHO_T}$ac_header_preproc" >&6
    6549 
    6550 # So?  What about this header?
    6551 case $ac_header_compiler:$ac_header_preproc in
    6552   yes:no )
    6553     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    6554 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    6555     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    6556 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    6557     (
    6558       cat <<\_ASBOX
    6559 ## ------------------------------------ ##
    6560 ## Report this to bug-autoconf@gnu.org. ##
    6561 ## ------------------------------------ ##
    6562 _ASBOX
    6563     ) |
    6564       sed "s/^/$as_me: WARNING:     /" >&2
    6565     ;;
    6566   no:yes )
    6567     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    6568 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    6569     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
    6570 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
    6571     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    6572 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    6573     (
    6574       cat <<\_ASBOX
    6575 ## ------------------------------------ ##
    6576 ## Report this to bug-autoconf@gnu.org. ##
    6577 ## ------------------------------------ ##
    6578 _ASBOX
    6579     ) |
    6580       sed "s/^/$as_me: WARNING:     /" >&2
    6581     ;;
    6582 esac
    6583 echo "$as_me:$LINENO: checking for $ac_header" >&5
    6584 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6585 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6586   echo $ECHO_N "(cached) $ECHO_C" >&6
    6587 else
    6588   eval "$as_ac_Header=$ac_header_preproc"
    6589 fi
    6590 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6591 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6592 
    6593 fi
    6594 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    6595   cat >>confdefs.h <<_ACEOF
    6596 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    6597 _ACEOF
    6598 
    6599 else
    6600 
    6601                         case $host_os in
    6602                                 darwin*)
    6603                                         { echo "$as_me:$LINENO: Please install the BSD SDK package from the Xcode Developer Tools CD." >&5
    6604 echo "$as_me: Please install the BSD SDK package from the Xcode Developer Tools CD." >&6;}
    6605                                         ;;
    6606                                 *)
    6607                                         { echo "$as_me:$LINENO: Please install the libmd developer headers for your platform." >&5
    6608 echo "$as_me: Please install the libmd developer headers for your platform." >&6;}
    6609                                         ;;
    6610                         esac
    6611                         { { echo "$as_me:$LINENO: error: libmd was found, but md5.h is missing." >&5
    6612 echo "$as_me: error: libmd was found, but md5.h is missing." >&2;}
    6613    { (exit 1); exit 1; }; }
    6614 
    6615 fi
    6616 
    6617 done
    6618 
    6619 
    6620 cat >>confdefs.h <<\_ACEOF
    6621 #define HAVE_LIBMD
    6622 _ACEOF
    6623 
    6624                 MD5_LIBS="-lmd"
    6625 
    6626 fi
    6627 
    6628         if test "x$MD5_LIBS" = "x" ; then
    6629                 # If libmd is not found, check for libcrypto from OpenSSL
    6630                 echo "$as_me:$LINENO: checking for MD5_Update in -lcrypto" >&5
    6631 echo $ECHO_N "checking for MD5_Update in -lcrypto... $ECHO_C" >&6
    6632 if test "${ac_cv_lib_crypto_MD5_Update+set}" = set; then
    6633   echo $ECHO_N "(cached) $ECHO_C" >&6
    6634 else
    6635   ac_check_lib_save_LIBS=$LIBS
    6636 LIBS="-lcrypto  $LIBS"
    6637 cat >conftest.$ac_ext <<_ACEOF
    6638 #line $LINENO "configure"
    6639 /* confdefs.h.  */
    6640 _ACEOF
    6641 cat confdefs.h >>conftest.$ac_ext
    6642 cat >>conftest.$ac_ext <<_ACEOF
    6643 /* end confdefs.h.  */
    6644 
    6645 /* Override any gcc2 internal prototype to avoid an error.  */
    6646 #ifdef __cplusplus
    6647 extern "C"
    6648 #endif
    6649 /* We use char because int might match the return type of a gcc2
    6650    builtin and then its argument prototype would still apply.  */
    6651 char MD5_Update ();
    6652 int
    6653 main ()
    6654 {
    6655 MD5_Update ();
    6656   ;
    6657   return 0;
    6658 }
    6659 _ACEOF
    6660 rm -f conftest.$ac_objext conftest$ac_exeext
    6661 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6662   (eval $ac_link) 2>&5
    6663   ac_status=$?
    6664   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6665   (exit $ac_status); } &&
    6666          { ac_try='test -s conftest$ac_exeext'
    6667   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6668   (eval $ac_try) 2>&5
    6669   ac_status=$?
    6670   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6671   (exit $ac_status); }; }; then
    6672   ac_cv_lib_crypto_MD5_Update=yes
    6673 else
    6674   echo "$as_me: failed program was:" >&5
    6675 sed 's/^/| /' conftest.$ac_ext >&5
    6676 
    6677 ac_cv_lib_crypto_MD5_Update=no
    6678 fi
    6679 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
    6680 LIBS=$ac_check_lib_save_LIBS
    6681 fi
    6682 echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_MD5_Update" >&5
    6683 echo "${ECHO_T}$ac_cv_lib_crypto_MD5_Update" >&6
    6684 if test $ac_cv_lib_crypto_MD5_Update = yes; then
    6685 
    6686 
    6687 for ac_header in openssl/md5.h
    6688 do
    6689 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    6690 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6691   echo "$as_me:$LINENO: checking for $ac_header" >&5
    6692 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6693 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6694   echo $ECHO_N "(cached) $ECHO_C" >&6
    6695 fi
    6696 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6697 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6698 else
    6699   # Is the header compilable?
    6700 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    6701 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    6702 cat >conftest.$ac_ext <<_ACEOF
    6703 #line $LINENO "configure"
    6704 /* confdefs.h.  */
    6705 _ACEOF
    6706 cat confdefs.h >>conftest.$ac_ext
    6707 cat >>conftest.$ac_ext <<_ACEOF
    6708 /* end confdefs.h.  */
    6709 $ac_includes_default
    6710 #include <$ac_header>
    6711 _ACEOF
    6712 rm -f conftest.$ac_objext
    6713 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6714   (eval $ac_compile) 2>&5
    6715   ac_status=$?
    6716   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6717   (exit $ac_status); } &&
    6718          { ac_try='test -s conftest.$ac_objext'
    6719   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6720   (eval $ac_try) 2>&5
    6721   ac_status=$?
    6722   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6723   (exit $ac_status); }; }; then
    6724   ac_header_compiler=yes
    6725 else
    6726   echo "$as_me: failed program was:" >&5
    6727 sed 's/^/| /' conftest.$ac_ext >&5
    6728 
    6729 ac_header_compiler=no
    6730 fi
    6731 rm -f conftest.$ac_objext conftest.$ac_ext
    6732 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    6733 echo "${ECHO_T}$ac_header_compiler" >&6
    6734 
    6735 # Is the header present?
    6736 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    6737 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    6738 cat >conftest.$ac_ext <<_ACEOF
    6739 #line $LINENO "configure"
    6740 /* confdefs.h.  */
    6741 _ACEOF
    6742 cat confdefs.h >>conftest.$ac_ext
    6743 cat >>conftest.$ac_ext <<_ACEOF
    6744 /* end confdefs.h.  */
    6745 #include <$ac_header>
    6746 _ACEOF
    6747 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6748   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6749   ac_status=$?
    6750   grep -v '^ *+' conftest.er1 >conftest.err
    6751   rm -f conftest.er1
    6752   cat conftest.err >&5
    6753   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6754   (exit $ac_status); } >/dev/null; then
    6755   if test -s conftest.err; then
    6756     ac_cpp_err=$ac_c_preproc_warn_flag
    6757   else
    6758     ac_cpp_err=
    6759   fi
    6760 else
    6761   ac_cpp_err=yes
    6762 fi
    6763 if test -z "$ac_cpp_err"; then
    6764   ac_header_preproc=yes
    6765 else
    6766   echo "$as_me: failed program was:" >&5
    6767 sed 's/^/| /' conftest.$ac_ext >&5
    6768 
    6769   ac_header_preproc=no
    6770 fi
    6771 rm -f conftest.err conftest.$ac_ext
    6772 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    6773 echo "${ECHO_T}$ac_header_preproc" >&6
    6774 
    6775 # So?  What about this header?
    6776 case $ac_header_compiler:$ac_header_preproc in
    6777   yes:no )
    6778     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    6779 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    6780     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    6781 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    6782     (
    6783       cat <<\_ASBOX
    6784 ## ------------------------------------ ##
    6785 ## Report this to bug-autoconf@gnu.org. ##
    6786 ## ------------------------------------ ##
    6787 _ASBOX
    6788     ) |
    6789       sed "s/^/$as_me: WARNING:     /" >&2
    6790     ;;
    6791   no:yes )
    6792     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    6793 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    6794     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
    6795 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
    6796     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    6797 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    6798     (
    6799       cat <<\_ASBOX
    6800 ## ------------------------------------ ##
    6801 ## Report this to bug-autoconf@gnu.org. ##
    6802 ## ------------------------------------ ##
    6803 _ASBOX
    6804     ) |
    6805       sed "s/^/$as_me: WARNING:     /" >&2
    6806     ;;
    6807 esac
    6808 echo "$as_me:$LINENO: checking for $ac_header" >&5
    6809 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6810 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6811   echo $ECHO_N "(cached) $ECHO_C" >&6
    6812 else
    6813   eval "$as_ac_Header=$ac_header_preproc"
    6814 fi
    6815 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    6816 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    6817 
    6818 fi
    6819 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    6820   cat >>confdefs.h <<_ACEOF
    6821 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    6822 _ACEOF
    6823 
    6824 else
    6825 
    6826                                 case $host_os in
    6827                                         darwin*)
    6828                                         { echo "$as_me:$LINENO: Please install the BSD SDK package from the Xcode Developer Tools CD." >&5
    6829 echo "$as_me: Please install the BSD SDK package from the Xcode Developer Tools CD." >&6;}
    6830                                                 ;;
    6831                                         *)
    6832                                         { echo "$as_me:$LINENO: Please install the libmd developer headers for your platform." >&5
    6833 echo "$as_me: Please install the libmd developer headers for your platform." >&6;}
    6834                                                 ;;
    6835                                 esac
    6836                                 { { echo "$as_me:$LINENO: error: libcrypt was found, but header file openssl/md5.h is missing." >&5
    6837 echo "$as_me: error: libcrypt was found, but header file openssl/md5.h is missing." >&2;}
    6838    { (exit 1); exit 1; }; }
    6839 
    6840 fi
    6841 
    6842 done
    6843 
    6844 
    6845 cat >>confdefs.h <<\_ACEOF
    6846 #define HAVE_LIBCRYPTO
    6847 _ACEOF
    6848 
    6849                         MD5_LIBS="-lcrypto"
    6850 
    6851 else
    6852 
    6853                         { { echo "$as_me:$LINENO: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&5
    6854 echo "$as_me: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&2;}
    6855    { (exit 1); exit 1; }; }
    6856 
    6857 fi
    6858 
    6859         fi
    6860         if test "x$MD5_LIBS" = "x"; then
    6861                 { { echo "$as_me:$LINENO: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&5
    6862 echo "$as_me: error: Neither OpenSSL or libmd were found. A working md5 implementation is required." >&2;}
    6863    { (exit 1); exit 1; }; }
    6864         fi
    6865 
    6866 
    6867 # Check for X11 and paraphernalia
    68685280
    68695281
  • trunk/base/configure.ac

    r9150 r9263  
    5050AC_FUNC_STRERROR_R
    5151AC_CHECK_FUNCS([bzero memset dup2 regcomp strdup strerror strtol fgetln lockf flock setmode strcasecmp strncasecmp])
    52 
    53 # Check for md5 implementation
    54 OD_LIB_MD5
    55 # Check for X11 and paraphernalia
    56 OD_CHECK_X11
    5752
    5853# Check for md5 implementation
Note: See TracChangeset for help on using the changeset viewer.